Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.swift.repository.impl
Class SwiftManagerImpl

    java.lang.Object
      com.stc.swift.repository.impl.SwiftObjectImpl
          com.stc.swift.repository.impl.SwiftManagerImpl

All Implemented Interfaces:
  com.stc.repository.API, com.stc.repository.persistence.client.Marshalable, com.stc.repository.persistence.client.Persistable, com.stc.repository.persistence.client.PropertyChangePublisher, com.stc.repository.RepositoryObject, SwiftManager, java.beans.PropertyChangeListener, java.util.EventListener

    public class SwiftManagerImpl

extends SwiftObjectImpl
implements SwiftManager

Swift Manager Implementation.

Version:
  $Revision: 1.2 $

Nested Class Summary
`static class` | `SwiftManagerImpl.ClassNameMapper` Type Resolver class for Object created using this API.

Field Summary

Fields inherited from interface com.stc.swift.repository.SwiftManager
`SWIFT_MANAGER_API_NAMESPACE, SWIFT_MANAGER_API_SYSTEM_ID`

Fields inherited from interface com.stc.repository.API
`RCS_ID`

Fields inherited from interface com.stc.repository.RepositoryObject
`RCS_ID`

Constructor Summary
`SwiftManagerImpl()` Constructs an instance of the manager.
`SwiftManagerImpl(com.stc.repository.Repository parent)` Construct an instance of the manager.

Method Summary
`com.stc.repository.persistence.client.MarshalableFactory.ClassNameMapper` | `getClassNameMapper()`
`java.lang.String` | `getSystemID()`
`void` | `initialize(com.stc.repository.Repository repository)`

Methods inherited from class com.stc.swift.repository.impl.SwiftObjectImpl
`addPropertyChangeListener, addPropertyChangeListener, addPropertyChangeListeners, equals, getACLInfo, getClassNameAlias, getClassNameAlias, getCreatedBy, getCreationDate, getCUDTracker, getDescription, getLastUpdatedBy, getLastUpdatedDate, getMarshalableSupport, getName, getOID, getOwnerOID, getPersistableSupport, getPropertyMap, getReferenceID, getRelationshipMap, getVersionInfo, hashCode, isHeaderResolved, isLocked, isVersionable, onDelete, onUnmarshalFinished, onUnmarshalStarting, propertyChange, removePropertyChangeListener, removePropertyChangeListener, removePropertyChangeListeners, resolve, setACLInfo, setCreatedBy, setCreationDate, setCUDTracker, setDescription, setHeaderResolved, setLastUpdatedBy, setLastUpdatedDate, setName, setOID, setOwnerOID, setPropertyMap, setReferenceID, setResolver, setUnresolved, setVersionInfo, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.stc.repository.persistence.client.Persistable
`getACLInfo, getCreatedBy, getCreationDate, getDescription, getLastUpdatedBy, getLastUpdatedDate, getName, getOID, getOwnerOID, getPersistableSupport, getVersionInfo, isHeaderResolved, isLocked, isVersionable, resolve, setACLInfo, setCreatedBy, setCreationDate, setDescription, setHeaderResolved, setLastUpdatedBy, setLastUpdatedDate, setName, setOID, setResolver, setUnresolved, setVersionInfo`

Methods inherited from interface com.stc.repository.persistence.client.Marshalable
`getClassNameAlias, getMarshalableSupport, getPropertyMap, getReferenceID, getRelationshipMap, onUnmarshalFinished, onUnmarshalStarting, setPropertyMap, setReferenceID`

Constructor Detail

### SwiftManagerImpl

    public SwiftManagerImpl()

  Constructs an instance of the manager. This will be called by Repository unmarshalling.

### SwiftManagerImpl

    public SwiftManagerImpl(com.stc.repository.Repository parent)
                     throws com.stc.repository.RepositoryException

  Construct an instance of the manager.

  Parameters:
    `parent` - the repository
  Throws:
    `com.stc.repository.RepositoryException` - if the operation fails

Method Detail

### getClassNameMapper

    public com.stc.repository.persistence.client.MarshalableFactory.ClassNameMapper getClassNameMapper()

  Specified by:
    `getClassNameMapper` in interface `com.stc.repository.API`

### getSystemID

    public java.lang.String getSystemID()

  Specified by:
    `getSystemID` in interface `com.stc.repository.API`

### initialize

    public void initialize(com.stc.repository.Repository repository)
                    throws com.stc.repository.RepositoryException

  Specified by:
    `initialize` in interface `com.stc.repository.API`
  Throws:
    `com.stc.repository.RepositoryException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.